https://unify.apideck.com/vault/connections/{unified_api}/{service_id}/tokenGet an access token for a connection and store it in Vault. Currently only supported for connections with the client_credentials OAuth grant type. Note that the access token will not be returned in the response. A 200 response code indicates a valid access token was stored on the connection.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://unify.apideck.com/vault/connections/{unified_api}/{service_id}/token' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://unify.apideck.com/vault/connections/{unified_api}/{service_id}/tokenGet an access token for a connection and store it in Vault. Currently only supported for connections with the client_credentials OAuth grant type. Note that the access token will not be returned in the response. A 200 response code indicates a valid access token was stored on the connection.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://unify.apideck.com/vault/connections/{unified_api}/{service_id}/token' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}